Subject: Re: bug#39345: 28.0.50; rcirc-authenticate-before-join due to case sensitive mismatch

From: Jake Nelson <[email-masked]>
Date: Wed, 29 Jan 2020 12:59:21 -0500

You are correct. To test, I dropped my registration with NickServ, and
re-registered with my nickname lowercase, and now see it lowercased in
the "You are now identified for [nickname]" message.

Re-registering resolves this issue for me, but it is not apparent
rcirc-authenticate-before-join is case sensitive when NickServ itself
does not care.

On Wed, Jan 29, 2020 at 10:20 AM Noam Postavsky <[email-masked]> wrote:
>
> Jake Nelson <[email-masked]> writes:
>
> > 1. join irc.freenode.net with a lowercase nick "examplenick"
> > 2. authenticate to nickserv 3. nickserv echos back  "-NickServ-
> > You are now identified for "Examplenick" capitalizing the
> > nickname.
>
> Hmm, I use "npostavs" as my nick on freenode, and I get
>
>     09:43 -NickServ- You are now identified for npostavs.
>
> Maybe the difference is that you are registering with the capitalized
> version, but then authenticating with lowercase?
>
> For reference, it looks like ERC also uses case-sensitive comparison
> (see erc-nickserv-identification-autodetect and erc-nickserv-alist).